Name:    gtk-chtheme
Version: 0.3.1
Release: %mkrel 6

Summary:	Utility to preview and change GTK 2 themes
Source:		%{name}-%{version}.tar.bz2
Source1:	gtk.png
URL:		http://plasmasturm.org/programs/gtk-chtheme/
Group:		Graphical desktop/GNOME
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libgtk+2-devel
BuildRequires:	imagemagick

%description
Gtk-chtheme allows you to change the Gtk+ 2.0 theme when not using GNOME.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
%make PREFIX=%{_prefix}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -s -m 755 gtk-chtheme %{buildroot}%{_bindir}

# menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Change GTK-2.0 theme
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=GTK;Utility;DesktopSettings;
EOF

# icons
cp %{SOURCE1} %{name}.png
mkdir -p %{buildroot}/%{_liconsdir}
convert %{name}.png -resize 48x48 %{buildroot}/%_liconsdir/%{name}.png
mkdir -p %{buildroot}/%{_iconsdir}
convert %{name}.png -resize 32x32 %{buildroot}/%{_iconsdir}/%{name}.png
mkdir -p %{buildroot}/%{_miconsdir}
convert %{name}.png -resize 16x16 %{buildroot}/%{_miconsdir}/%{name}.png

# FDo icons
mkdir -p %{buildroot}/%{_iconsdir}/hicolor/64x64/apps
convert %{name}.png -resize 64x64 %{buildroot}/%{_iconsdir}/hicolor/64x64/apps/%{name}.png
mkdir -p %{buildroot}/%{_iconsdir}/hicolor/48x48/apps
convert %{name}.png -resize 48x48 %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/%{name}.png
mkdir -p %{buildroot}/%{_iconsdir}/hicolor/32x32/apps
convert %{name}.png -resize 32x32 %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/%{name}.png
mkdir -p %{buildroot}/%{_iconsdir}/hicolor/16x16/apps
convert %{name}.png -resize 16x16 %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/hicolor/64x64/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png



%changelog
* Sun Jan 10 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.1-6mdv2010.1
+ Revision: 488309
- fix icon sizes (bug 56932)
- clean spec

* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.3.1-5mdv2010.0
+ Revision: 429334
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.1-4mdv2009.0
+ Revision: 246678
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.3.1-2mdv2008.1
+ Revision: 140742
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Thu Jun 07 2007 Austin Acton <austin@mandriva.org> 0.3.1-2mdv2008.0
+ Revision: 36597
- add menu entry and icons
- fix description

* Tue Apr 24 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3.1-1mdv2008.0
+ Revision: 17857
- new release
- Import gtk-chtheme



* Fri Nov 05 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2-2mdk
- add BuildRequires: libgtk+2-devel

* Fri Jan 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2-1mdk
- initial release
